import { HttpClient } from "@angular/common/http";
import { AppletEditionPricingContainerModel } from "../../../../../models/aggregates/applet/applet-edition-pricings-container.model";
import { BaseApiTemplateService, ApiVisa, Pagination, ApiResponseModel } from "../shared";
import { Observable } from "rxjs";
export declare class AppletEditionPricingService extends BaseApiTemplateService<AppletEditionPricingContainerModel> {
    constructor(http: HttpClient);
    private setUrl;
    getAsSysadmin(apiVisa: ApiVisa): Observable<ApiResponseModel<AppletEditionPricingContainerModel>>;
    getByGuidAsSysadmin(guid: string, apiVisa: ApiVisa): Observable<import("../shared").BasicApiResponseModel<AppletEditionPricingContainerModel>>;
    postAsSysadmin(dtoObject: AppletEditionPricingContainerModel, apiVisa: ApiVisa): Observable<ApiResponseModel<AppletEditionPricingContainerModel>>;
    putAsSysadmin(dtoObject: AppletEditionPricingContainerModel, apiVisa: ApiVisa): Observable<import("../shared").BasicApiResponseModel<AppletEditionPricingContainerModel>>;
    deleteAsSysadmin(guid: string, apiVisa: ApiVisa): Observable<ApiResponseModel<AppletEditionPricingContainerModel>>;
    getByCriteriaAsSysadmin(pagination: Pagination, apiVisa: ApiVisa): Observable<import("../shared").PagingResponseModel<AppletEditionPricingContainerModel>>;
    getAsTenantAdmin(tenantCode: string, visa: ApiVisa): Observable<ApiResponseModel<any>>;
}
